#
# spec file for package python-bracex
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-bracex
Version:        2.2.1
Release:        3.3
Summary:        Bash style brace expander
License:        MIT
URL:            https://github.com/facelessuser/bracex
Source:         https://files.pythonhosted.org/packages/source/b/bracex/bracex-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Bash style brace expander.

%prep
%setup -q -n bracex-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE.md
%{python_sitelib}/bracex*

%changelog
* Fri May  5 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Mon Oct 10 2022 pgajdos@suse.com
- python-six is not required
* Tue Jan 25 2022 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to 2.2.1 with py2pack
* Thu Jun  3 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- initial package done with py2pack
